function ReversePositionManager(interactiveMap) {
  // Save the Reference to the map Object
  this.interactiveMap = interactiveMap;

  // Add the Event Handler for the Click
  this.setActive(true);
}
ReversePositionManager.prototype = Object.create(
  ReversePositionManager.prototype
);
ReversePositionManager.prototype.constructor = ReversePositionManager;

/**
 * This function sends a request to our Nominatim instance and evaluates the given coordinates to an adress
 * @param {Float} lon
 * @param {Float} lat
 * @return {Array} adress
 */
ReversePositionManager.prototype.getNearest = function(evt) {
  var pos = evt.lngLat;
  var url =
    "https://maps.metager.de/nominatim/reverse.php?format=json&lat=" +
    pos.lat +
    "&lon=" +
    pos.lng +
    "&zoom=" +
    18 +
    "&extratags=1&addressdetails=1&namedetails=1";
  var interactiveMap = this.interactiveMap;
  var caller = this;
  // Send the Request
  $.get(url, function(data) {
    var popup = new NominatimParser(data).getHTMLResult();
    $(popup).addClass("reverse-popup");
    $(popup)
      .find("a.start-route-service")
      .attr(
        "onclick",
        "map.switchModule('route-finding', {waypoints: [[$(this).attr('data-lon'), $(this).attr('data-lat')]]}); $('.reverse-popup').parent().find('.maplibregl-popup-close-button').click(); return false;"
      );
    /*click({ caller: caller }, function (event) {
      event.data.caller.interactiveMap.switchModule("route-finding", {
        waypoints: [[data["lon"], data["lat"]]]
      });
    });*/
    caller.createPopup(pos, popup);
  });
};

ReversePositionManager.prototype.createPopup = function(pos, html) {
  new maplibregl.Popup({ className: "reverse-popup", maxWidth: "500px" })
    .setLngLat(pos)
    .setHTML(html.get(0).outerHTML)
    .addTo(this.interactiveMap.map);
};

ReversePositionManager.prototype.setActive = function(bool) {
  this.interactiveMap.map.off("click", this.reverseClick);
  if (bool) {
    this.reverseClick = $.proxy(this.getNearest, this);
    this.interactiveMap.map.on("click", this.reverseClick);
  }
};
