var map = null;
var mapTmp = null;
$(document).ready(function () {
  $(".inactive").hide();

  // Check if the user called a URL with a location specified
  var regexp = /\/map\/([^\/]+\/){0,1}([-|\d|\.|e]+),([-|\d|\.|e]+),([-|\d|\.|e]+)$/;
  var url = document.location.href;
  var result = url.match(regexp);
  var query = undefined;
  var waypoints = undefined;
  var vehicle = undefined;
  if (result != null) {
    // Check if the current url points to a search, or a position to show on the map
    query = result[1];
    if (typeof query != "undefined" && query.length > 0) {
      query = decodeURIComponent(query.replace(/\+/g, ' '));
    }

    var initPos = [parseFloat(result[2]), parseFloat(result[3])];
    var initZoom = parseFloat(result[4]);

    map = new InteractiveMap(initPos[0], initPos[1], initZoom, false);
  } else {
    // Check if the current url points to a route calculation
    regexp = /\/route\/start\/(car|bicycle|foot)\/([^\/]+)$/;
    result = url.match(regexp);
    if (result != null) {
      vehicle = result[1];
      waypoints = [];
      var points = result[2];
      // Validate the Waypoints
      regexp = /(gps|[-]{0,1}\d+\.\d+,[-]{0,1}\d+\.\d+)/gi;
      result = points.match(regexp);
      if (result) {
        result.forEach(value => {
          var waypoint;
          if (value == "gps") {
            waypoints.push(["gps"]);
          } else {
            var newWaypoint = value.split(",");
            newWaypoint = [
              parseFloat(newWaypoint[0]),
              parseFloat(newWaypoint[1])
            ];
            // Check if the new Waypoint is within valid bounds
            waypoints.push(newWaypoint);
          }
        });
        if (waypoints.length == 0) {
          // Fallback if no valid waypoints given
          vehicle = undefined;
          waypoints = undefined;
          map = new InteractiveMap();
        } else {
          // Valid Route given as argument
          var minPoint = undefined;
          var maxPoint = undefined;

          $.each(waypoints, (index, value) => {
            if (value[0] != "gps") {
              if (minPoint == undefined) {
                minPoint = [value[0], value[1]];
              }
              if (maxPoint == undefined) {
                maxPoint = [value[0], value[1]];
              }
              minPoint[0] = minPoint[0] > value[0] ? value[0] : minPoint[0];
              minPoint[1] = minPoint[1] > value[1] ? value[1] : minPoint[1];
              maxPoint[0] = maxPoint[0] < value[0] ? value[0] : maxPoint[0];
              maxPoint[1] = maxPoint[1] < value[1] ? value[1] : maxPoint[1];
            }
          });
          if (minPoint == undefined || maxPoint == undefined) {
            map = new InteractiveMap(undefined, undefined, 6, true);
          } else {
            var medianPoint = [
              minPoint[0] + (maxPoint[0] - minPoint[0]) / 2.0,
              minPoint[1] + (maxPoint[1] - minPoint[1]) / 2.0
            ];
            map = new InteractiveMap(medianPoint[0], medianPoint[1], 6, false);
          }
        }
      }
    } else {
      map = new InteractiveMap();
    }
  }

  var height =
    typeof window.outerHeight != "undefined"
      ? Math.max(window.outerHeight, $(window).height())
      : $(window).height();

  $("div.map").css("max-height", height);
  $("body").css("max-height", height);
  $("body").css("overflow", "hidden");

  // Start the correct module now:
  if (query != undefined) {
    query = query.replace(/\/+$/, "");
    map.switchModule("search", query);
    query = undefined;
  } else if (waypoints != undefined && vehicle != undefined) {
    map.switchModule("route-finding", {
      waypoints: waypoints,
      vehicle: vehicle
    });
  } else map.switchModule("search");

  if (
    typeof android != "undefined" &&
    typeof android.pageFinished == "function"
  )
    android.pageFinished();
});
