<!DOCTYPE html>
<html lang="de">

<head>
    <meta charset="utf-8" />
    <meta content="IE=edge" http-equiv="X-UA-Compatible" />
    <meta content="width=device-width, initial-scale=1, user-scalable=no" name="viewport" />
    <title>
        Maps - MetaGer
    </title>
    @if(isset($css))
    @foreach($css as $el)
    <link href="{{$el}}" rel="stylesheet" type="text/css" />
    @endforeach
    @endif
    <link rel="stylesheet" type="text/css" href="https://tileserver.metager.de/maplibre-gl.css" />
    <script src="https://tileserver.metager.de/maplibre-gl.js"></script>
</head>

<body>
    <main>
        <figure id="hilfe" class="inactive">
            <iframe src=""></iframe>
            <span class="close">&#10005;</span>
        </figure>

        @include('addons/search')
        @include('addons/navigation')
        @include('addons/route')
        @include('addons/offline')

        <div class="map" id="map">
        </div>

        <div id="start-navigation" title="Routenplaner starten">
            <img src="/img/start-navigation.png" alt="Start Navigation" />
        </div>
        <div id="gps-error" class="hidden">
            <span>MetaGer konnte Ihren genauen Standort nicht ermitteln.</span> <a href="/hilfe"
                target="_blank">Warum?</a>
        </div>
    </main>
    <script>
        /**
         * Check for WebGL Support
         */
        var canvas = document.createElement('canvas');
        var gl = canvas.getContext("webgl") || canvas.getContext("experimental-webgl");
        if (gl && gl instanceof WebGLRenderingContext) {
            console.log("WebGL supported");
        } else {
            document.getElementsByTagName("body")[0].innerHTML = '<div style="text-align: center; margin-top: 40%; font-size: 18px;">WebGL is required to use MetaGer Maps. Please check your Browser Configuration.</div>';
        }
        canvas = undefined;
    </script>
    <script src="/js/turf.min.js" type="text/javascript" defer></script>
    <script src="{{ mix('/js/modules.js') }}" type="text/javascript" defer></script>
    <script src="{{ mix('/js/lib.js') }}" type="text/javascript" defer></script>
    <script src="{{ mix('js/map.js') }}" type="text/javascript" defer></script>
</body>

</html>
